Skip to main content
GET
/
v1
/
trades
/
{symbol}
/
fills
Get market fills
curl --request GET \
  --url https://perp-api.phoenix.trade/v1/trades/{symbol}/fills \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "baseQty": "<string>",
      "instructionType": "<string>",
      "marketSymbol": "<string>",
      "price": "<string>",
      "quoteQty": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "transactionSignature": "<string>"
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>",
  "prevCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer access token issued by /v1/auth/* login endpoints.

Path Parameters

symbol
string
required

Market symbol

Query Parameters

limit
integer<int64> | null

Maximum number of trade records to return (default: 100, max: 10000)

cursor
string | null

Optional opaque cursor returned by a previous request

startTime
integer<int64> | null

Inclusive start time in milliseconds since Unix epoch.

endTime
integer<int64> | null

Exclusive end time in milliseconds since Unix epoch.

Response

Market fills retrieved successfully

Fills response with pagination metadata.

data
object[]
required
hasMore
boolean
required
nextCursor
string | null
prevCursor
string | null